summaryrefslogtreecommitdiffstats
path: root/network/exim/contrib/exim.cron
diff options
context:
space:
mode:
author Thomas Morper2010-04-08 05:30:26 +0200
committer Robby Workman2010-05-15 10:24:20 +0200
commitffd97168269b59ebcd2b1697cbeedc8fa1329cec (patch)
tree94dfb67ecd0bac515f5ab185684fa0ce7055ad0f /network/exim/contrib/exim.cron
parent669ea352d9812695a8921a735bb0ab63ea32414d (diff)
downloadslackbuilds-ffd97168269b59ebcd2b1697cbeedc8fa1329cec.tar.gz
network/exim: Added. exim is a sendmail replacement.
Diffstat (limited to 'network/exim/contrib/exim.cron')
-rw-r--r--network/exim/contrib/exim.cron12
1 files changed, 12 insertions, 0 deletions
diff --git a/network/exim/contrib/exim.cron b/network/exim/contrib/exim.cron
new file mode 100644
index 0000000000..94d7442b60
--- /dev/null
+++ b/network/exim/contrib/exim.cron
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Exim's spool directory
+SPOOL=/var/spool/exim
+
+# Check for spool and the tidydb utility
+test -d $SPOOL -a -x /usr/sbin/exim_tidydb || exit
+
+# Tidy up the contents of the hints databases
+find $SPOOL/db -name '*.lockfile' -exec basename {} .lockfile \; \
+ | xargs -r -n 1 sudo -u exim /usr/sbin/exim_tidydb -t 7d $SPOOL \
+ > /dev/null